Last Comment Bug 758297 - Move browser element code to dom/browser-element
: Move browser element code to dom/browser-element
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Justin Lebar (not reading bugmail)
:
:
Mentors:
Depends on: 741587
Blocks: 742944 757182
  Show dependency treegraph
 
Reported: 2012-05-24 11:12 PDT by Justin Lebar (not reading bugmail)
Modified: 2012-06-20 07:23 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (9.26 KB, patch)
2012-05-24 11:37 PDT, Justin Lebar (not reading bugmail)
mounir: review+
Details | Diff | Splinter Review

Description Justin Lebar (not reading bugmail) 2012-05-24 11:12:06 PDT
We already have our own test directory and three source files (after bug 741587).  I'm about to add a fourth.  I think it's time to move this code out of dom/base.
Comment 1 Justin Lebar (not reading bugmail) 2012-05-24 11:37:38 PDT
Created attachment 626897 [details] [diff] [review]
Patch v1
Comment 2 Justin Lebar (not reading bugmail) 2012-05-24 11:38:20 PDT
Tested by doing a clobber build and running the browser-element tests.
Comment 3 Mounir Lamouri (:mounir) 2012-05-25 03:07:00 PDT
Comment on attachment 626897 [details] [diff] [review]
Patch v1

Review of attachment 626897 [details] [diff] [review]:
-----------------------------------------------------------------

I would have preferred this schema:
dom/browser-element/src
dom/browser-element/tests
(dom/browser-element/interfaces)

But if you prefer to not have a dedicated src/ dir, I will not bother you ;)
Comment 4 Justin Lebar (not reading bugmail) 2012-05-25 07:17:41 PDT
> But if you prefer to not have a dedicated src/ dir, I will not bother you ;)

Thanks.  :)
Comment 5 Justin Lebar (not reading bugmail) 2012-06-07 08:01:33 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/c84a182666fd
Comment 6 Graeme McCutcheon [:graememcc] 2012-06-08 04:22:07 PDT
https://hg.mozilla.org/mozilla-central/rev/c84a182666fd

(Merged by Ed Morley)

Note You need to log in before you can comment on or make changes to this bug.